Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.view.save
Class JRCsvSaveContributor

    java.lang.Object
      javax.swing.filechooser.FileFilter
          net.sf.jasperreports.view.JRSaveContributor
              net.sf.jasperreports.view.save.JRCsvSaveContributor

    public class JRCsvSaveContributor

extends JRSaveContributor

Version:
  $Id: JRCsvSaveContributor.java 3035 2009-08-27 12:05:03Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Constructor Summary
`JRCsvSaveContributor(java.util.Locale locale, java.util.ResourceBundle resBundle)`

Method Summary
`boolean` | `accept(java.io.File file)`
`java.lang.String` | `getDescription()`
`void` | `save(JasperPrint jasperPrint, java.io.File file)`

Methods inherited from class net.sf.jasperreports.view.JRSaveContributor
`getBundleString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JRCsvSaveContributor

    public JRCsvSaveContributor(java.util.Locale locale,
                                java.util.ResourceBundle resBundle)

Method Detail

### accept

    public boolean accept(java.io.File file)

  Specified by:
    `accept` in class `javax.swing.filechooser.FileFilter`

### getDescription

    public java.lang.String getDescription()

  Specified by:
    `getDescription` in class `javax.swing.filechooser.FileFilter`

### save

    public void save(JasperPrint jasperPrint,
                     java.io.File file)
              throws JRException

  Specified by:
    `save` in class `JRSaveContributor`
  Throws:
    `JRException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com